core::Connection Class Reference

The Connection class models a signal-slot connection. More...

`#include <connection.h>`

Collaboration diagram for core::Connection:

## Public Types

typedef std::function< void(const std::function< void()> &)> | Dispatcher

## Public Member Functions

bool | is_connected () const
| Checks if this instance corresponds to an active signal-slot connection. More...
void | disconnect ()
| End a signal-slot connection. More...
void | dispatch_via (const Dispatcher &dispatcher)
| Installs a dispatcher for this signal-slot connection. More...

## Detailed Description

The Connection class models a signal-slot connection.

Definition at line 31 of file connection.h.

## Member Typedef Documentation

typedef std::function<void(const std::function<void()>&)> core::Connection::Dispatcher

Definition at line 34 of file connection.h.

## Member Function Documentation

void core::Connection::disconnect | ( |  | ) |

inline

End a signal-slot connection.

Definition at line 51 of file connection.h.

Referenced by core::ScopedConnection::~ScopedConnection().

void core::Connection::dispatch_via | ( | const Dispatcher & | dispatcher | ) |

inline

Installs a dispatcher for this signal-slot connection.

Parameters

  dispatcher | The dispatcher to be used for signal emissions.

Definition at line 61 of file connection.h.

bool core::Connection::is_connected | ( |  | ) | const

inline

Checks if this instance corresponds to an active signal-slot connection.

Returns
  true iff the instance corresponds to an active signal-slot connection.

Definition at line 40 of file connection.h.

The documentation for this class was generated from the following file:

- /build/buildd/properties-cpp-0.0.1+14.10.20140730/include/core/connection.h